/*
Copyright (c) 2014 Aaron Jensen

Permission is hereby granted, free of charge, to any person obtaining
a copy of this software and associated documentation files (the
"Software"), to deal in the Software without restriction, including
without limitation the rights to use, copy, modify, merge, publish,
distribute, sublicense, and/or sell copies of the Software, and to
permit persons to whom the Software is furnished to do so, subject to
the following conditions:

The above copyright notice and this permission notice shall be included
in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
*/

/*
Minor changes for use with CUDA 5.5 - Aaron Jensen
Based on SmallPt GPU (OpenCL) - David Bucciarelli 2009
*/

#ifndef _DISPLAYFUNC_H
#define	_DISPLAYFUNC_H

#include <math.h>

// Jens's patch for MacOS
#ifdef __APPLE__
#include <GLut/glut.h>
#else
#include <GL/glut.h>
#endif

#include "vec.h"

extern char* title;
extern int width;
extern int height;
extern std::vector<unsigned int> frameBuffer;
extern unsigned int renderingFlags;
extern char captionBuffer[256];

extern void initGlut(int argc, char *argv[], char *windowTittle);
extern double wallClockTime();

extern void readScene(char *);
extern void updateCamera();

#endif	/* _DISPLAYFUNC_H */

